-----------------------------------------------------------------------------
--脚本文件：physics_constraint_actor.lua
--功能设计：
--功能开发：page(pk)
--开发时间：2020/07/13 16:38:00
--脚本功能：物理约束
--修改记录：
-----------------------------------------------------------------------------

local LBaseActor = ImportScript("ugc_common/script/core/actor/actor.lua").LBaseActor;

---@class LBaseStaticMeshActor
LBasePhysicsConstraintActor = LBasePhysicsConstraintActor or class("LBasePhysicsConstraintActor", LBaseActor);

function LBasePhysicsConstraintActor:ctor(kActor)
    print("LBasePhysicsConstraintActor:ctor()", self, kActor);
end

function LBasePhysicsConstraintActor:dtor()
    print("LBasePhysicsConstraintActor:dtor()");
end